Page MenuHomePhabricator

Archive the Convert2Wiki extension
Closed, ResolvedPublicRequest

Description

Reason
See T228148#5338328, but in short: Broken and unmaintained since the initial import.

To-do list

  • This task
    • Add maintainers of that extension as subscribers to this task. Left a message on the talk page, but T196790 indicates that we shouldn't need to expected a response.
    • Add Phabricator project <#ProjectX> as a tag for this task, or MediaWiki-extensions-Other if there is no project.
  • On-wiki documentation
    • Archive documentation on mediawiki.org (https://www.mediawiki.org/wiki/Extension:Convert2Wiki): replace page contents with {{TNT|Archived extension|last revision id before archiving|reason=archive reasons, per [[phab:T######]]}} include a link to this task in the reason parameter.
    • Update Wikidata item associated with documentation page
      • add statement Abandonware (Q281039) to instance of (P31) together with qualifier start time (P580) = the YYYY-MM-DD (date that you decided to archive extension generally per edit history)
      • add qualifier end time (P582) = the YYYY-MM-DD (same date as above) to instance of (P31) = MediaWiki extension (Q6805426)
  • Phabricator.
    • Mark all Phabricator tasks for the extension either Declined or Invalid (I've found none).
  • Translatewiki.net/translations
    • Remove from translatewiki.net (groups/MediaWiki/mediawiki-extensions.txt)
  • Configuration/tests/integrations/etc.
    • Remove from mediawiki/extensions (along with in .gitmodules).
    • Remove tests in integration/config (zuul/layout.yaml).
  • Repositories

Event Timeline

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJul 16 2019, 6:18 PM

Change 523810 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[translatewiki@master] [Convert2Wiki] Archive extension

https://gerrit.wikimedia.org/r/523810

Change 523811 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Convert2Wiki@master] Archive extension

https://gerrit.wikimedia.org/r/523811

Change 523811 merged by MarcoAurelio:
[mediawiki/extensions/Convert2Wiki@master] Archive extension

https://gerrit.wikimedia.org/r/523811

Change 523814 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions@master] [Convert2Wiki] Archive extension

https://gerrit.wikimedia.org/r/523814

Change 523814 merged by MarcoAurelio:
[mediawiki/extensions@master] [Convert2Wiki] Archive extension

https://gerrit.wikimedia.org/r/523814

MarcoAurelio updated the task description. (Show Details)Jul 16 2019, 9:32 PM
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio updated the task description. (Show Details)Jul 16 2019, 9:37 PM

Change 523818 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[integration/config@master] [Convert2Wiki] Archive extension

https://gerrit.wikimedia.org/r/523818

Mentioned in SAL (#wikimedia-releng) [2019-07-16T21:58:42Z] <hauskatze> GitHub: deleted wikimedia/mediawiki-extensions-Convert2Wiki refs. T228198

MarcoAurelio updated the task description. (Show Details)Jul 16 2019, 9:59 PM
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio added a subscriber: MarcoAurelio.

Remaining: translatewiki.net and integration/config. Patches uploaded against those two repos; awaiting review. All other steps done.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptJul 16 2019, 10:06 PM
MarcoAurelio moved this task from Untriaged to Archive extensions on the Cleanup board.
MarcoAurelio moved this task from Backlog to delete on the GitHub-Mirrors board.

Change 523810 merged by jenkins-bot:
[translatewiki@master] [Convert2Wiki] Archive extension

https://gerrit.wikimedia.org/r/523810

Change 523818 merged by jenkins-bot:
[integration/config@master] [Convert2Wiki] Archive extension

https://gerrit.wikimedia.org/r/523818

MarcoAurelio closed this task as Resolved.Jul 17 2019, 9:19 AM
MarcoAurelio moved this task from ready to cabinet on the User-MarcoAurelio board.